ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martijn Kruithof>
Subject [Vote] remove Xalan1 dependencies from codebase
Date Fri, 16 Jun 2006 19:32:32 GMT
As xalan 1 is no longer supported for quite some time now, and the 
libraries needed are not readily available anymore

*How do I run applications that use the Xalan-Java version 1 API with 


The Xalan-Java version 1 compatibility API has been deprecated and 
removed, so you must use the Xalan-Java version 2 API. We strongly 
encourage you to use the Java API for XML Processing (JAXP) 1.3 
<>. For more information, see the 
FAQ on TrAX and JAXP. <>

maybe it is time to finally remove xalan1 as ant dependency, and remove 
Xalan1Executor and XalanLiaison classes from the ant codebase

I realize that removing these classes breaks backward compatibility of 
third party tasks directly referring to thos classes.

Still, I'd like to remove these classes and the dependencies towards 
these classes unless someone objects, so please vote

[ ] Yes, be my guest, remove the dependencies towards xalan1
[ ] No, don't, these classes are still important (I know a place where 
to get xalan1) and must not be removed


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message